﻿<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/OSIP.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%-- 
**********************************************************************
File:       GetPageContent.aspx
Author:     Darren Hunter, AMEC Earth and Environmental
Last Mod:   2010-12-22
Version:    1.0

Description
-----------
View page for displaying RedDot content page, formatted with a specified CSS style

Class
-----
N/A

Dependencies
------------
None

Revison History
---------------
<date>		<revised by>	<reference>		<description>
2010-12-22  Darren Hunter   N/A				Initial Development
**********************************************************************
--%>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <%  Try
            If System.IO.File.Exists(Server.MapPath("~/Content/" + ViewData("contentPage").ToString())) Then
                Response.Write(Html.InjectHtml("~/Content/" + ViewData("contentPage").ToString()))
            End If
        Catch ex As Exception
        End Try
    %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ScriptContent" runat="server">
    <link rel="Stylesheet" href="<%= ResolveUrl("~/Content/" + ViewData("cssPage").toString()) %>" media="screen" />
    <script type="text/javascript" src="<%= ResolveUrl("~/Scripts/AMECCommon.js") %>"></script> 
</asp:Content>
