﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.ChartModel)" %>
<%
    Model.FormatChart(chBar)
    chBar.DataSource = Model.Data
    chBar.DataBind()
%>
<asp:Chart ID="chBar" runat="server" Height="500px" Width="700px">
    <Titles>
        <asp:Title Name="Title1" 
            Text="Age of Permanent Reclamation within the Mineable Oil Sands Region">
        </asp:Title>
    </Titles>
    <Series>
        <asp:Series CustomProperties="PointWidth=0.6" Name="Series1" XValueMember="Age" 
            YValueMembers="PermanentReclamation">
        </asp:Series>
    </Series>
    <ChartAreas>
        <asp:ChartArea Name="ChartArea1">
            <AxisX IsReversed="True" Title="Age in Years" Minimum="0">
                <MajorGrid Enabled="False" />
                <MajorTickMark Interval="2" />
                <LabelStyle Interval="2" />
            </AxisX>
            <AxisY Title="Number of Hectares">
                <MajorGrid Interval="200" />
                <LabelStyle Interval="200" />
            </AxisY>
        </asp:ChartArea>
    </ChartAreas>
</asp:Chart>
