﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.ChartModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.GHGEmissions" %>
<%  
    Dim data As EmissionsBySector = CType(Model.Data, EmissionsBySector)
    For Each item In data.SectorValues
        chPie.Series.First.Points.AddXY(item.Sector, item.Emissions)
    Next
    chPie.Titles.First.Text = data.Year & " Alberta Greenhouse Gas Emissions by Sector"
    chPie.Titles.Last.Text = "Source: " & data.Source
    Model.FormatChart(chPie)
%>
<asp:Chart ID="chPie" runat="server" Height="400px" Width="700px">
    <Legends>
        <asp:Legend Alignment="Center" Name="Legend1">
        </asp:Legend>
    </Legends>
    <Titles>
        <asp:Title Name="MainTitle" Text="Alberta Emissions by Sector">
        </asp:Title>
        <asp:Title Alignment="BottomRight" 
            Docking="Bottom" Name="Source">
        </asp:Title>
    </Titles>
    <Series>
        <asp:Series BorderColor="White" ChartType="Pie" Legend="Legend1" Name="Series1" 
            LegendText="#VALX (#PERCENT)"
            CustomProperties="PieLabelStyle=Disabled">
        </asp:Series>
    </Series>
    <ChartAreas>
        <asp:ChartArea Name="ChartArea1">
        </asp:ChartArea>
    </ChartAreas>
</asp:Chart>
