﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.ChartModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.GHGEmissions" %>
<%
    Dim data As List(Of ProvincialEmission) = CType(Model.Data, List(Of ProvincialEmission))
    Dim grandTotal As ProvincialEmission = data.Where(Function(d) d.ProvinceAbbreviation = "GT").FirstOrDefault()
    If grandTotal IsNot Nothing Then
        chPie.Titles.First.Text = "Total  Tonnes CO2e (" & grandTotal.Year & ")"
        Dim series As Series = chPie.Series.First
        series.Points.AddXY("Carbon Dioxide", grandTotal.CarbonDioxide)
        series.Points.AddXY("Methane", grandTotal.Methane)
        series.Points.AddXY("Nitrous Oxide", grandTotal.NitrousOxide)
        series.Points.AddXY("Hydrofluorocarbons", grandTotal.Hydrofluorocarbons)
        series.Points.AddXY("Perfluorocarbons", grandTotal.Perfluorocarbons)
        series.Points.AddXY("Sulfur Hexafluoride", grandTotal.SulfurHexafluoride)
    End If
    Model.FormatChart(chPie)
%>


<asp:Chart ID="chPie" runat="server" Height="400px" Width="600px">
    <Legends>
        <asp:Legend Alignment="Center" Name="Legend1" Docking="Top">
        </asp:Legend>
    </Legends>
    <Titles>
        <asp:Title Name="ChartTitle">
        </asp:Title>
    </Titles>
    <Series>
        <asp:Series ChartArea="ChartArea1" ChartType="Pie" Legend="Legend1" 
            Name="Series1" CustomProperties="PieLabelStyle=Outside" Label="#PERCENT" 
            LegendText="#VALX">
        </asp:Series>
    </Series>
    <ChartAreas>
        <asp:ChartArea Name="ChartArea1">
        <InnerPlotPosition Height="97.80219" Width="97.80219" X="1" Y="1" />
            <Area3DStyle Enable3D="True" Inclination="50" />
        </asp:ChartArea>
    </ChartAreas>
</asp:Chart>
