﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.ViewModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>
<%
    Dim data As PollutantsStationsFilter = CType(Model.Data, PollutantsStationsFilter)
 %>
<form>
    Stations: <input type="button" value="Clear" onclick="ClearCheckboxes('PSFilter_Stations');" />
    <div class="MultiSelect" width="280px;" id="PSFilter_Stations">
        <% For Each sItem In data.Stations%>
        <input name="StationID" type="checkbox" value="<%=sItem.Id %>" <%=IIf(data.SelectedStations.Contains(sItem.Id), "checked=""checked""", "")%>/>&nbsp;<%=sItem.Name%><br />
        <% Next%>
    </div>
    Pollutant: <input type="button" value="Clear" onclick="ClearCheckboxes('PSFilter_Pollutants');" />
    <div class="MultiSelect" width="280px;" id="PSFilter_Pollutants">
        <% For Each pItem In data.Pollutants%>
        <input name="PollutantID" type="checkbox" value="<%=pItem.Id %>"  <%=IIf(data.SelectedPollutants.Contains(pItem.Id), "checked=""checked""", "")%>/>&nbsp;<%=pItem.Name %> (<%=pItem.UnitShort%>)<br />
        <% Next%>
    </div>
    <table>
        <tr>
            <td>
                From: <input id="StartDate" type="text" name="StartDate" width="150px;" /><br />
                To: <input id="EndDate" type="text" name="EndDate" width="150px;"/>
            </td>
            <td><input type="button" value="Run" onclick="RefreshCharts();" /></td>
        </tr>    
    </table>    
</form>
<script type="text/javascript">
    $("#StartDate").datepicker({
        defaultDate: -180
    });
    $("#EndDate").datepicker({
        defaultDate: 0
    });
</script>