﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.ViewModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>
<%
    Dim data As WaterUsePerOilProducedFilter = CType(Model.Data, WaterUsePerOilProducedFilter)
 %>
<form>
    <input type="radio" class="Grouping" value="All" name="Grouping" <%=IIf(data.Grouping = "All", "checked=""checked""", "")%>/> All Projects<br />
    <input type="radio" class="Grouping" value="Mines" name="Grouping" <%=IIf(data.Grouping = "Mines", "checked=""checked""", "")%>/> All Mines<br />
    <input type="radio" class="Grouping" value="InSitu" name="Grouping" <%=IIf(data.Grouping = "InSitu", "checked=""checked""", "")%>/> All In-Situ<br />
    <input type="radio" class="ProjectsGrouping" value="Project" name="Grouping" <%=IIf(data.Grouping = "Project", "checked=""checked""", "")%>/> Selected Projects (up to 5)
    
    <div class="MultiSelect" width="280px;" id="ProjectsMultiSelect" <%=IIf(data.Grouping <> "Project", "style=""display:none;""", "")%>>
        <%For Each pProject In data.Projects.OrderBy(Function(p) p.Name).ToList()%>        
        <input type="checkbox" onclick="RefreshCharts();" name="Project" value="<%=pProject.Key %>" <%=IIf(data.SelectedProjects.Contains(pProject.Key), "checked=""checked""", "")%>/>&nbsp;<%=pProject.NameWithIncludes%><br />
        <%Next%>
    </div>
</form>
<script type="text/javascript">    
    $("input.Grouping").click(function() {
        if ($(this).is(":checked")) {
            $("#ProjectsMultiSelect").hide();
            RefreshCharts();
        }
    });
    $("input.ProjectsGrouping").click(function() {
        $("#ProjectsMultiSelect").show();
    });
</script>