﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<%
    Dim data As AQIStationHistory = CType(Model.Data, AQIStationHistory)
    Dim records As List(Of AQIStationHistoryMeasurement) = data.Measurements
    Dim pageSize As Integer = data.PageSize
    Dim pagerModel As New PagerModel(Model.Page, data.TotalCount, pageSize)
    'records = records.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">        
        <th>Station</th>
        <th>Date Time</th>
        <th>AQI Value</th>
    </tr>
<%  For Each dataItem As AQIStationHistoryMeasurement In records%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=dataItem.StationName%></td>
        <td><%=dataItem.ReadingDateTime.ToString("g")%></td>
        <td><%=dataItem.Value.ToString()%></td>
    </tr>       
<%  
    alt = Not alt
Next
%>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>