﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<% 
    Dim data As List(Of EnforcementAction) = CType(Model.Data, List(Of EnforcementAction))
    Dim pageSize As Integer = 3
    Dim pagerModel As New PagerModel(Model.Page, data.Count, pageSize)
    data = data.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
%>
<h2>Enforcement Actions</h2>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">        
        <th width="60">Date</th>
        <th>Penalty</th>
        <th>Act/Regulation</th>
        <th>Disposition</th>
    </tr>
<%  For Each dataItem As EnforcementAction In data%>
    <tr class="Group">
        <td colspan="4"><strong><%=dataItem.ClassificationType%> - <%=dataItem.AccountableParty%></strong></td>
    </tr>
    <tr>
        <td><%=dataItem.Date.ToString("dd-MMM-yy")%> </td>
        <td><%If dataItem.Penalty.HasValue Then%><%=dataItem.Penalty.Value.ToString("C2")%> 
            <%Else %>n/a<%End If%></td>
        <td><%=dataItem.ActRegulation.Replace(Environment.NewLine, "<br/>")%></td>
        <td><%=dataItem.Disposition%></td>
    </tr>       
<%  
Next
%>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>
