﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>
<% 
    Dim data As ExceedanceSummary = CType(Model.Data, ExceedanceSummary)
    Dim records As List(Of AQExceedanceCount) = data.Exceedances
    Dim alt As Boolean = False
%>
<p style="text-align: center">Number of Times Air Quality Objectives were Exceeded
   <%If data.To.HasValue and data.From.HasValue then %> 
    <br />for <%=data.From.Value.ToString("MMMM d, yyyy")%> to  <%=data.To.Value.ToString("MMMM d, yyyy")%>
   <%ElseIf data.To.HasValue Then%> 
    <br />until <%=data.To.Value.ToString("MMMM d, yyyy")%>
   <%ElseIf data.From.HasValue Then%> 
     <br />for <%=data.From.Value.ToString("MMMM d, yyyy")%> to present   
   <%End If%>
</p>

<%  Html.RenderPartial("Grids/Start")%>
<table cellspacing="1">
    <tr class="Header">
        <th rowspan="2">Station</th>
        <%  For Each group1 In records.GroupBy(Function(g) g.Pollutant)
                Dim periods = group1.Select(Function(g) g.Period).Distinct().ToList()
        %>
        <th colspan="<%=periods.Count %>"><%=group1.Key%></th>              
        <%  Next%>
    </tr>
    <tr>
        <%  For Each group1 In records.GroupBy(Function(g) g.Pollutant)
                For Each group2 In group1.GroupBy(Function(g) g.Period)%>
                    <th><%=group2.Key%></th>
                <%Next
            Next
        %>
    </tr>
     <%  For Each group1 In records.GroupBy(Function(g) g.Station) %>
     <tr <%=iif(alt,"class=""Alternate""","") %>>
             <td><%=group1.Key%></td>
             <%For Each group2 In group1.GroupBy(Function(g) g.Pollutant)
                 For Each group3 In group2.GroupBy(Function(g) g.Period)%>
                    <%Dim counts = group3.Where(Function(g) g.Count.HasValue).ToList()%>
                    <td><%If counts.Count > 0 then %><%=counts.Select(Function(c) c.Count).Sum()%><%Else %>n/a<%End If %></td>
                <%Next
                Next%>
      </tr>         
            <%
                alt = Not alt
            Next
        %>
</table>
<%  Html.RenderPartial("Grids/End")%>