﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%
    Dim data As List(Of ProjectEmission) = CType(Model.Data, List(Of ProjectEmission))
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/Start")%>
<table cellspacing="1">
    <tr class="Header">        
        <th>Project</th>
        <th>Company</th>
        <th>Year</th>
        <th>CO<sub>2</sub> Carbon Dioxide (tonnes CO<sub>2</sub>e)</th>
        <th>CH<sub>4</sub> Methane (tonnes CO<sub>2</sub>e)</th>
        <th>N<sub>2</sub>O Nitrous Oxide (tonnes CO<sub>2</sub>e)</th>
        <th>HFCs Hydrofluorocarbons (tonnes CO<sub>2</sub>e)</th>
        <th>PFCs Perfluorocarbons (tonnes CO<sub>2</sub>e)</th>
        <th>SF<sub>6</sub> Sulfur Hexafluoride (tonnes CO<sub>2</sub>e)</th>
        <th>Total (tonnes CO<sub>2</sub>e)</th>
    </tr>
    <%  For Each dataItem In data%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=dataItem.ProjectName%></td>
        <td><%=dataItem.CompanyName%></td>
        <td><%=dataItem.Year.ToString()%></td>
        <td class="Number"><% If dataItem.CarbonDioxide.HasValue Then%><%=dataItem.CarbonDioxide.Value.ToString("N0")%><%End If%></td>
        <td class="Number"><% If dataItem.Methane.HasValue Then%><%=dataItem.Methane.Value.ToString("N0")%><%End If%></td>
        <td class="Number"><% If dataItem.NitrousOxide.HasValue Then%><%=dataItem.NitrousOxide.Value.ToString("N0")%><%End If%></td>
        <td class="Number"><% If dataItem.Hydrofluorocarbons.HasValue Then%><%=dataItem.Hydrofluorocarbons.Value.ToString("N0")%><%End If%></td>
        <td class="Number"><% If dataItem.Perfluorocarbons.HasValue Then%><%=dataItem.Perfluorocarbons.Value.ToString("N0")%><%End If%></td>
        <td class="Number"><% If dataItem.SulfurHexafluoride.HasValue Then%><%=dataItem.SulfurHexafluoride.Value.ToString("N0")%><%End If%></td>
        <td class="Number"><% If dataItem.Total.HasValue Then%><%=dataItem.Total.Value.ToString("N0")%><%End If%></td>
    </tr>       
<%  
    alt = Not alt
Next%>
</table>
<%  Html.RenderPartial("Grids/End")%>
<p>Note: Totals may not add due to rounding</p>