﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<% 
    Dim data As List(Of ProjectInformation) = CType(Model.Data, List(Of ProjectInformation))
    Dim pageSize As Integer = 5
    Dim pagerModel As New PagerModel(Model.Page, data.Count, pageSize)
    data = data.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">
        <th>ID</th>
        <th>Operator</th>
        <th>Project</th>
        <th>Status</th>
        <th>Includes</th>
        <th>Type</th>
        <th>Production Total</th>
        <th>Electricity Produced</th>
        <th>Water Allocated</th>
        <th>Total Water Used</th>
        <th>Water used per barrel</th>
        <th>Total GHG emissions</th>
        <th>Emissions per barrel</th>
        <th># Environmental Protection Orders</th>
        <th>Advanced Technlogies</th>
        <th>Latitude</th>
        <th>Longitude</th>
    </tr>
<%  For Each dataItem As ProjectInformation In data%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=dataItem.ID.ToString()%></td>
        <td><%=dataItem.Operator%></td>
        <td><%=dataItem.Name%></td>
        <td><%=dataItem.Includes%></td>
        <td><%=dataItem.Status%></td>
        <td><%=dataItem.Type%></td>
        <td><%=dataItem.TotalProduction.ToString("N")%></td>
        <td><%=dataItem.ElectrityProduced.ToString("N")%></td>
        <td><%=dataItem.WaterAllocated.ToString("N")%></td>
        <td><%=dataItem.TotalWaterUsed.ToString("N")%></td>
        <td><%=dataItem.WaterUsedPerBarrel.ToString("N")%></td>
        <td><%=dataItem.TotalGHGEmissions.ToString("N")%></td>
        <td><%=dataItem.EmissionsPerBarrel.ToString("N")%></td>
        <td><%=dataItem.NumberEPOs.ToString()%></td>
        <td><%=dataItem.AdvancedTechnologies%></td>
        <td><%=dataItem.Latitude.ToString("N")%></td>
        <td><%=dataItem.Longitude.ToString("N")%></td>
    </tr>       
<%  
    alt = Not alt
Next
%>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>
