﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.LandReclamation" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<%
    Dim data As List(Of CumulativeSecurityFundContribution) = CType(Model.Data, List(Of CumulativeSecurityFundContribution))
    data.OrderBy(Function(d) d.ProjectGroup.ProjectGroupName).ToList()
    Dim pageSize As Integer = 20
    Dim pagerModel As New PagerModel(Model.Page, data.Count, pageSize)
    Dim records As List(Of CumulativeSecurityFundContribution) = data.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">        
        <th>Year</th>
        <th>Project Group</th>
        <th>Value</th>
    </tr>
<%  For Each dataItem As CumulativeSecurityFundContribution In records%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=dataItem.Year%></td>
        <td><%=dataItem.ProjectGroup.ProjectGroupName%></td>
        <td style="text-align:right;" ><%=dataItem.Value.ToString("C")%></td>
    </tr>       
<%  
    alt = Not alt
Next
%>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>
