﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.WaterQuantityModel" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<% 
    Dim data As StationWaterQuantity(Of Measurement) = CType(Model.Data, StationWaterQuantity(Of Measurement))
    Dim records As List(Of Measurement) = data.Measurements
    Dim pageSize As Integer = data.PageSize
    Dim pagerModel As New PagerModel(Model.Page, data.TotalCount, pageSize)
    'records = records.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">        
        <th>Station</th>
        <th>Parameter</th>
        <th>Sensor</th>
        <th>Reading Date Time</th>
        <th>Value (<%=data.Units%>)</th>
    </tr>
<%  For Each dataItem As Measurement In records%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=dataItem.StationName%> </td>
        <td><%=dataItem.ParameterName%></td>
        <td><%=dataItem.SensorName%></td>
        <td><%=dataItem.ReadingDate.ToString("g")%></td>
        <td><%=dataItem.Value.ToString("g")%></td>
    </tr>       
<%  
    alt = Not alt
Next
%>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>
