﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<% 
    Dim records As List(Of YearlyHistoricalReclamationSummary) = CType(Model.Data, List(Of YearlyHistoricalReclamationSummary))
    Dim pageSize As Integer = 15
    Dim pagerModel As New PagerModel(Model.Page, records.Count, pageSize)
    records = records.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">        
        <th rowspan="2">Year</th>
        <th>Disturbed</th>
        <th>Reclaimed</th>
        <th>Certified</th>
        <th>Active</th>
        <th rowspan="2">Percent Reclaimed</th>
    </tr>
    <tr class="Header">
        <th colspan="4">(Hectares)</th>      
    </tr>
<%  For Each dataItem As YearlyHistoricalReclamationSummary In records%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=dataItem.ReportYear.ToString()%> </td>
        <td><% If dataItem.Disturbed.HasValue Then%><%=Math.Round(dataItem.Disturbed.Value, 1).ToString("N1")%><%End If%></td>
        <td><% If dataItem.Reclaimed.HasValue Then%><%=Math.Round(dataItem.Reclaimed.Value, 1).ToString("N1")%><%End If%></td>
        <td><% If dataItem.Certified.HasValue Then%><%=Math.Round(dataItem.Certified.Value, 1).ToString("N1")%><%End If%></td>
        <td><% If dataItem.Active.HasValue Then%><%=Math.Round(dataItem.Active.Value, 0).ToString("N1")%><%End If%></td>
        <td><% If dataItem.PercentReclaimed.HasValue Then%><%=Math.Round(dataItem.PercentReclaimed.Value, 1).ToString("N1") & "%"%><%End If%></td>
    </tr>       
<%  
    alt = Not alt
Next
%>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>