﻿<%@ Page Title="" Language="VB"  Inherits="GoA.Environment.OSIP.DataLibrary._Listing" CodeBehind="Listing.aspx.vb" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary" %>
<asp:Content ID="Content1" ContentPlaceHolderID="conRight" runat="server">

    <h2>Dataset Listing</h2>
    <p>Multiple datasets were found based on the URL provided. Please select dataset you are looking for or 
        go to the <a href="<%=Url.Action("Index","Browser") %>">data library search page</a>.</p>
        
    <ul>
        <%For Each dataset In Model.Datasets%>
            <li>
                <%  If dataset.FileTypeCode = "REPORT" Or dataset.FileTypeCode = "STATICREP" Then%>
                       <%=Html.ActionLink(dataset.Title, "Details", "Dataset", New RouteValueDictionary(New With {Key .id = dataset.DatasetID}), Nothing)%>
                <%  Else%>
                       <%=Html.FileTypeImageLink(dataset.FileTypeCode, dataset.FileType.Name, Me.ResolveUrl("~/Content/icons/"), dataset.Url, dataset.Title)%>                       
                <%  End If%>
            </li>
        <%Next %>
    </ul>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="conHead" runat="server">
    <% 'Dec 12, 2011 - Perry - adding meta tags for WebTrends %>
    <meta name="DCS.dcsuri" content="<%="/" & HttpContext.Current.Request.Url.GetComponents(UriComponents.Path, UriFormat.UriEscaped)%>" /> 
    <meta name="WT.ti" content="Listing" />
    <meta name="WT.cg_n" content="OSIP Data Library; Web Application" />
    <% 'end Dec 12, 2011 %>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="conLeft" runat="server">
</asp:Content>
