﻿define([
    "app/config/contentGroups/AdminBoundaries",
    "app/config/contentGroups/FirstNations",
    "app/config/contentGroups/Air",
    "app/config/contentGroups/Water",
    "app/config/contentGroups/Land",
    "app/config/contentGroups/Biodiversity",
    "app/config/contentGroups/IndustrialImpacts"
], function (
    AdminBoundariesContentGroupConfig,
    FirstNationsContentGroupConfig,
    AirContentGroupConfig,
    WaterContentGroupConfig,
    LandContentGroupConfig,
    BiodiversityContentGroupConfig,
    IndustrialImpactsContentGroupConfig
    ) {
    'use strict';
    return {
        group: [
            AdminBoundariesContentGroupConfig,
            FirstNationsContentGroupConfig,
            AirContentGroupConfig,
            WaterContentGroupConfig,
            LandContentGroupConfig,
            BiodiversityContentGroupConfig,
            IndustrialImpactsContentGroupConfig
        ]
    };
});