﻿define([
    
], function (
    
    ) {
    'use strict';
    return {
        id: 'AdminBoundaries',
        title: 'ADMINISTRATIVE BOUNDARIES',
        description: 'Administrative Boundaries',
        iconClass: "icon-empty blue-txt",
        operationalLayers: [
            {
                type: 'dynamic',
                url: 'https://geospatial.alberta.ca/titan/rest/services/boundary/goa_administrative_area_10tm_nad83_aep/MapServer',
                title: 'Land Use Framework Regions',
                layerOrder: 1,
                options: {
                    id: 'luf',
                    opacity: 0.5,
                    visibleLayers: [1],
                    visible: false
                },
                legendIcons: [{ iconName: siteConfig.rootUrl + 'scripts/app/content/images/operational/land_use_framework.png', label: 'Land Use Framework Regions' }]
            }
        ]
    };
});