﻿/*property
    METIS_NAME, TOOLTIP_DIALOG_ID, _hideInfoTemplate, attributes,
    closeToolTipDialog, graphic, mouseOutHandler, showGraphicTooltip,
    showToolTipDialog
*/
define([
    'dojo/_base/declare',
    './_BaseContent',
    'app/mapping/Utils'
], function (declare, _BaseContent, mapUtils) {
    'use strict';
    var _MetisSettlements = declare("MetisSettlements", [_BaseContent], {
        TOOLTIP_DIALOG_ID: "MetisTooltipDialog",
        _hideInfoTemplate: true,
        
        showGraphicTooltip: function (event) {
            mapUtils.showToolTipDialog(event, this.TOOLTIP_DIALOG_ID, event.graphic.attributes.METIS_NAME + ' Settlement');
        },

        mouseOutHandler: function () {
            mapUtils.closeToolTipDialog(this.TOOLTIP_DIALOG_ID);
        }       
    });

    return _MetisSettlements;
});