﻿require([
    'dojo/query',
    'dojo/_base/window',
    'dojo/on',
    "dojo/domReady!"
], function (query, win, on) {
    'use strict';
    //Not currently in use but provides a way to easily toggle collapse without needing element id references, handy for generated/bound collapse panels.
    var collapseNextSelector = '[data-toggle=collapse-next]';

    on(win.body(), on.selector(collapseNextSelector, 'click'), function () {
        var target = query(this).closest('div').next();
        query(target).collapse('toggle');
    });
});