define({
  root: ({
    appTitle: 'AEMERIS',
    navBasemaps: 'Basemaps',
    navHome: 'Home',
    navAbout: 'EMSD',
    navGallery: 'Gallery',
    navLegend: 'Legend',
    navLibrary: "Data Library",
    navLinks: 'Links',
    modalGalleryTitle: 'Gallery',
    modalGalleryContent: 'Choose a basemap',
    modalGalleryMoreInfo: 'hunh?',
    modalAboutTitle: 'About AEMERIS',
    modalAboutContent: 'Alberta Environmental Monitoring, Evaluation & Reporting Information Service. Providing the public with information on key air, water, land and biodiversity indicators.',
    modalAboutMoreInfo: 'More...',
    modalSearchResultsTitle: 'Search results for \"${searchTerm}\"',

    searchContentGroupOperationalLayerMultiLayerResultsTitle: "Map Layer(s)",
    searchContentGroupOperationalLayerRelatedLinkResultsTitle: "Related Link(s)",
    searchContentGroupOperationalLayerResultsTitle: "Map Layer(s)",
    searchContentGroupLinkResultsTitle: "Related Link(s)",
    searchMapControlsOperationalLayersResultsTitle: "Map Layer(s)",
    searchMapLayerOSIPProjectResultsTitle: "Industrial Project(s) - Oil Sands",
    searchMapLayerOSIPProjectResultsOperatorNameField: "Operator Name",
    searchMapLayerOSIPProjectResultsProjectNameField: "Project Name",

    searchFieldTitle: 'Title',
    searchFieldLink: 'Link',
    searchFieldRelatedLink: 'Related Link',
    searchFieldUnknown: 'Unknown',

    searchResultTitle: 'Title',
    searchResultField: 'Field',
    searchResultMatched: 'Matched',

    searchNoResultsFoundMessage: "No results found.",
    notSelectedPrompt: '(Select a year)'
  }),
  fr: false,
  es: false,
  it: false,
  de: false
  // TODO: define other locales as needed
});
