﻿/*property
    constructor, search, searchText, substitute
*/
define([
    'dojo/_base/declare',
    'dojo/string',
    './_searchBase',
    '../SearchableConfig'
], function (
    declare, string, searchBase
    ) {
    'use strict';
    return declare(searchBase, {

        constructor: function () {
        },

        search: function (searchText) {
            throw string.substitute("Can't search for ${searchText}. Search not implemented!", { searchText: searchText });
        }
    });
});