﻿define([
    'intern!object',
    'intern/chai!assert',
    './_SearchTestFunctions',
    'app/search/modules/MapLayerOSIPProject'
], function (registerSuite, assert, searchTestFunctions, SearchModule) {
    'use strict';
    registerSuite({
        name: 'Search Module: MapLayerOSIPProject',

        //setup: function () {
        //},
        //beforeEach: function () {
        //},
        //afterEach: function () {
        //},
        //teardown: function () {
        //},

        'Search: \'dover west\' returns "Dover West Carbonates and West Sands and Clastics"': function () {

            this.timeout = 5000;

            return searchTestFunctions.validateExpectedResults({
                assert: assert,
                searchModule: new SearchModule(),
                searchText: 'dover west',
                expectedResultMatchedValues: ["Dover West Carbonates and West Sands and Clastics"]
            });
        },

        'Search: \'oil sands\' returns "Fort Hills Oil Sands Project", "Oil Sands Base Mine", "Osum Oil Sands", "Japan Canada Oil Sands", "Grizzly Oil Sands", "Grizzly Oil Sands", "Alberta Oil Sands", "Koch Oil Sands Operating ULC", "Osum Oil Sands", "Grizzly Oil Sands", "Koch Oil Sands Operating ULC", "Osum Oil Sands", "North American Oil Sands Upgrader"': function () {

            this.timeout = 5000;

            return searchTestFunctions.validateExpectedResults({
                assert: assert,
                searchModule: new SearchModule(),
                searchText: 'oil sands',
                expectedResultMatchedValues: ["Fort Hills Oil Sands Project", "Oil Sands Base Mine", "Osum Oil Sands", "Japan Canada Oil Sands", "Grizzly Oil Sands", "Grizzly Oil Sands", "Alberta Oil Sands", "Koch Oil Sands Operating ULC", "Osum Oil Sands", "Grizzly Oil Sands", "Koch Oil Sands Operating ULC", "Osum Oil Sands", "North American Oil Sands Upgrader"]
            });
        }

    });
});