﻿<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/OSIP.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%-- 
**********************************************************************
File:       GetGHGIntensityGraph.aspx
Author:     An Vo, AMEC Earth and Environmental
Last Mod:   2011-02-08
Version:    1.0

Description
-----------
View page for displaying a Project's greenhouse gas intensity graph.
If a Facility uses co-generated resources, a definition for co-generation is displayed.

Class
-----
N/A

Dependencies
------------
OSIPLightboxServer.AirController
OSIPLightboxServer.ChemicalMeasurementsModel
OSIPLightboxServer.ChemicalMeasurements.*

Revison History
---------------
<date>		<revised by>	<reference>		<description>
2011-02-08  An Vo       	N/A				Initial Development
**********************************************************************
--%>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <table border="0" style="height:560px;width:730px">
        <tr>
            <td>
                <iframe id="ghgGraph" src="<%= ViewData("graphURL").ToString() %>" width="750" height="435">
                </iframe>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ScriptContent" runat="server">
    <link rel="Stylesheet" href="<%= ResolveUrl("~/Content/" + ViewData("cssPage").toString()) %>" media="screen" />
</asp:Content>
