﻿<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/OSIP.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%-- 
**********************************************************************
File:       GetStyledLightBox.aspx
Author:     Darren Hunter, AMEC Earth and Environmental
Last Mod:   2011-01-01
Version:    1.0

Description
-----------
Generates the lightbox content, given a file name and a style sheet

Class
-----
N/A

Dependencies
------------
OSIPLightboxServer.LightboxLBController

Revison History
---------------
<date>		<revised by>	<reference>		<description>
2011-01-14  Darren Hunter   N/A				Initial Development
**********************************************************************
--%>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <%=Html.InjectHtml("~/Content/" + ViewData("contentPage").ToString())%>
    <br />
    <label>Last Updated: <%=ViewData("modifiedDate").ToString()%></label>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ScriptContent" runat="server">     
    <link rel="Stylesheet" href="<%= ResolveUrl("~/Content/" + ViewData("cssPage").toString()) %>" media="screen" />   

</asp:Content>
