﻿<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/OSIP.Master" Inherits="System.Web.Mvc.ViewPage(Of amec.osip.lightboxserver.EnforcementItems)" %>

<%-- 
**********************************************************************
File:       GetEnforcements.aspx
Author:     Robert Royall, AMEC Earth and Environmental
Last Mod:   2011-01-01
Version:    1.0

Description
-----------
View page for displaying Enforcement Actions

Class
-----
N/A

Dependencies
------------
amec.osip.lightboxserver.ProjectsLBController
amec.osip.lightboxserver.EnforcementItems

Revison History
---------------
<date>		<revised by>	<reference>		<description>
2011-01-14  Robert Royall   N/A				Initial Development
**********************************************************************
--%>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Enforcement Actions
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Enforcement Actions</h2>
    
    <table style="width:400px">    
        
    <%-- Add code here to iterate through other collections --%>
    
    <% For Each item In Model.Enforcements%>
        <tr>
            <td style="width:100px">Date:</td>
            <td style="width:100px">Penalty:</td>
            <td>Act/Regulation:</td>
        </tr>
        <tr>
            <td><%=Html.Encode(item.StatusDate.ToString("dd-MMM-yy"))%></td>
            <td><%=Html.Encode(item.PenaltyAmount.ToString("c"))%></td>
            <td><%=Html.Encode(item.Legislation)%></td>
        </tr>
        <tr style="height:10px"></tr>
        <tr>
            <td style="vertical-align:top">Disposition:</td>
            <td colspan="2"><%=Html.Encode(item.Summary)%></td>
        </tr>
        <tr style="height:30px">
        </tr>
            
    <% Next%>

    </table>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ScriptContent" runat="server">
    <link rel="Stylesheet" href="<%= ResolveUrl("~/Content/" + Model.CssPage) %>" media="screen" />
</asp:Content>

