﻿<%@Page Title="" Language="VB" MasterPageFile="~/Views/Shared/OSIP.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%-- 
**********************************************************************
File:       GetEnforcementsDisclaimer.aspx
Author:     Morgan Howard, AMEC Environment & Infrastructure
Last Mod:   2012-01-27
Version:    1.0

Description
-----------
View page for Enforcements Disclaimer, always shown before Enforcement Actions

Class
-----
N/A

Dependencies
------------
amec.osip.lightboxserver.ProjectsLBController
amec.osip.lightboxserver.EnforcementItems

Revison History
---------------
<date>		<revised by>	<reference>		<description>
2012-01-27  Morgan Howard   N/A				Initial Development
**********************************************************************
--%>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Enforcements Disclaimer
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <form runat="server">
    <table>
        <tr>
            <td colspan="2">
                <p>Enforcement Actions are presented on a company-wide basis.
                <br />Enforcement Actions listed may include oil sands and non-oil sands related events.</p>
            </td>
        </tr>
        <tr>
            <td><asp:Button Text="OK" runat="server" /></td>
            <td></td>
        </tr>
    </table>
    </form>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ScriptContent" runat="server">
    <link rel="Stylesheet" href="<%= ResolveUrl(String.Concat("~/Content/",ViewData("CssPage").toString())) %>" media="screen" />
</asp:Content>
