﻿<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/OSIP.Master" Inherits="System.Web.Mvc.ViewPage" %>
<%-- 
**********************************************************************
File:       GetTotalProduction.aspx
Author:     Darren Hunter, AMEC Earth and Environmental
Last Mod:   2011-01-01
Version:    1.0

Description
-----------
View page for displaying Land Impact charts and graphs

Class
-----
N/A

Dependencies
------------
amec.osip.lightboxserver.ProjectsLBController

Revison History
---------------
<date>		<revised by>	<reference>		<description>
2011-01-14  Darren Hunter   N/A				Initial Development
**********************************************************************
--%>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

   <table>
        <tr>
            <td>Total Synthetic Crude Oil Production: </td>
            <td style="width:5px"></td>
            <td>
                <table cellpadding="0" cellspacing="0"><tr><td><%=ViewData("mineProduction").ToString()%> million barrels (<%=ViewData("mineProductionM").ToString()%> million m</td><td style="font-size:smaller;vertical-align:super;display:inline">3</td><td>) in <%=ViewData("mineYear").ToString()%></td></tr></table>
            </td>            
        </tr>
        <tr>
            <td>Total In situ Bitumen Production: </td>
            <td style="width:5px"></td>
            <td>
                <table cellpadding="0" cellspacing="0"><tr><td><%=ViewData("inSituProduction").ToString()%> million barrels (<%=ViewData("inSituProductionM").ToString()%> million m</td><td style="font-size:smaller;vertical-align:super;display:inline">3</td><td>) in <%=ViewData("inSituYear").ToString()%></td></tr></table>
            </td>       
        </tr>
    </table>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ScriptContent" runat="server">
 <link rel="Stylesheet" href="<%= ResolveUrl("~/Content/" + ViewData("cssPage").toString()) %>" media="screen" />
</asp:Content>
