﻿<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/OSIP.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%-- 
**********************************************************************
File:       GetTotalSize.aspx
Author:     Darren Hunter, AMEC Earth and Environmental
Last Mod:   2011-01-01
Version:    1.0

Description
-----------
View page for displaying Tailing Ponds total area and volume

Class
-----
N/A

Dependencies
------------
amec.osip.lightboxserver.TailingPondsLBController

Revison History
---------------
<date>		<revised by>	<reference>		<description>
2011-01-14  Darren Hunter   N/A				Initial Development
**********************************************************************
--%>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">    

    <table style="width:700px">
        <tr>
            <td style="font-weight:bold">Total Tailings Ponds Surface Area</td>
        </tr>
        <tr>
            <% If Double.IsNaN(ViewData("area")) Then%>
            <td>Area information is unavailable</td>   
            <% else %>
            <td>The total <a href="javascript:OpenLightBox('<%= ViewData("rootURL").toString()%>/lightboxLB/getstyledlightbox?csspage=white.css&contentpage=portal_glossary.htm#Tailings_Ponds_Surface_Area',800,700, false); void(0)">surface area</a> of all tailings ponds in the Mineable Area is <%=ViewData("area").ToString()%> km² or <%=ViewData("areaAcres").ToString()%> Acres<%=ViewData("dateString").ToString()%>. <a href="javascript:OpenLightBox('<%= ViewData("rootURL").toString()%>/lightboxLB/getstyledlightbox?csspage=white.css&contentpage=portal_glossary.htm#Reclamation',800,700, false); void(0)">Reclaimed</a>  coarse and fine tailings are not included in this summary statistic.</td>            
            <% end if %>                             
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        <%--<tr>
            <td style="font-weight:bold">Total Tailings Ponds Volume</td>
        </tr>
        <tr>
            <% If Double.IsNaN(ViewData("volume")) Then%>
            <td>Volume information is unavailable</td>   
            <% else %>
            <td>
              The total volume of <a href="javascript:OpenLightBox('<%= ViewData("rootURL").toString()%>/lightboxLB/getstyledlightbox?csspage=white.css&contentpage=portal_glossary.htm#Mature_Fine_Tailings',800,700, false); void(0)">mature fine tailings</a> for all tailings ponds in the Mineable Area is <%=ViewData("volumeMillionMetres3")%> million m³<%=ViewData("dateString")%>.   
            </td>
            <% end if %>
        </tr>--%>
    </table>
</asp:Content>
 
<asp:Content ID="Content3" ContentPlaceHolderID="ScriptContent" runat="server">
    <script type="text/javascript" src="<%= ResolveUrl("~/Scripts/AMECCommon.js") %>"></script>
    <link rel="Stylesheet" href="<%= ResolveUrl("~/Content/" + ViewData("cssPage").toString()) %>" media="screen" />
</asp:Content>
