<%@ Page Language="VB" Inherits="GoA.Environment.OSIP.DataLibrary._Index" CodeBehind="Index.aspx.vb" %>
    
<asp:Content ID="Content2" ContentPlaceHolderID="conLeft" runat="server">
    <h1>DATA LIBRARY</h1>
    
    <a href="<%= ResolveClientUrl("~/Content/WhatIsDataLibrary.txt")%>" id="What1" ><img src="<%=Me.ResolveClientUrl("~/Content/icons/help.png")%>" height="14" width="14" alt="What is the data library?" /></a>
    <a href="<%= ResolveClientUrl("~/Content/WhatIsDataLibrary.txt")%>" id="What2" class="Link" >What is the data library?</a>
    <hr />

    <select id="SearchBy" onchange="RefreshSearch();" >            
                <option value="SearchByTitle">Search by Title</option>
                <option value="SearchByKeyword">Search by Keyword</option>
                <option value="SearchByTitleORKeyword" selected="selected">Search by Title / Keyword</option>
    </select>

    <input type="text" id="SearchText" maxlength="100" />
    <input type="button" value="Search" onclick="SearchByKeyword();" />
    <hr />

    <em>Filter by:</em>
    <hr />
    <div id="LocationHeader" class="FilterHeader Collapsed">LOCATION</div>
    <div id="LocationList" class="FilterList"></div>
    <hr />
    <div id="CategoryHeader" class="FilterHeader Collapsed">CATEGORY</div>
    <div id="CategoryList" class="FilterList"></div>
    <hr />
    <div id="ReportingSourceHeader" class="FilterHeader Collapsed">REPORTING SOURCE</div>
    <div id="ReportingSourceList" class="FilterList"></div>
    <hr />
    <div id="DataSourceTypeHeader" class="FilterHeader Collapsed">DATA SOURCE TYPE</div>
    <div id="DataSourceTypeList" class="FilterList"></div>
    <hr />
    <span class="Header">TIME PERIOD</span><br />
    <div id="StartPicker" class="DatePicker">
        <input type="hidden" id="StartDate"/>
        <div class="Select">
            <a href="#" onclick="ShowStartPicker();return false;">Select a start date</a>
        </div>
        <div class="Change" style="display:none;">
            <span class="Text"></span>&nbsp;(<a href="#" onclick="ShowStartPicker();return false;">Change</a>)
            <img class="RemoveFilter" src="<%=Me.ResolveClientUrl("~/Content/icons/remove.png")%>" width="14" height="14" alt="Remove filter" onclick="RemoveFilter('StartDateFilter');" />
        </div>
    </div>   
    <div id="EndPicker" class="DatePicker">
        <input type="hidden" id="EndDate"/>
        <div class="Select">
            <a href="#" onclick="ShowEndPicker();return false;">Select an end date</a>
        </div>
        <div class="Change" style="display:none;">
            <span class="Text"></span>&nbsp;(<a href="#" onclick="ShowEndPicker();return false;">Change</a>)
            <img class="RemoveFilter" src="<%=Me.ResolveClientUrl("~/Content/icons/remove.png")%>" width="14" height="14" alt="Remove filter" onclick="RemoveFilter('EndDateFilter');" />
        </div>
    </div>

</asp:Content>
<asp:Content ContentPlaceHolderID="conLeftFooter" runat="server">
    <div class="MapButton">    
        <a href="<%= ViewData("MapSiteUrl")  %>"><img src="<%=Me.ResolveClientUrl("~/Content/icons/arrow-left-gray.png")%>" /> VIEW THE MAP</a>
    </div>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="conRight" runat="server">
    <h1 id="SearchHeading">Viewing All Data Sets</h1>
    <div id="SearchHelp">
        <p>You can search and add filters to narrow the list of data sets to see only what you want. 
        Select one or more criteria from the list on the left. To remove a filter click the "x" next to 
        its name. <!--<a href="<%= ResolveClientUrl("~/Content/SearchMoreHelp.txt")%>" id="MoreHelp">Need more help?</a>--></p>
        <p><a href="#" onclick="HideSearchTip();return false;">Don't show me this tip again</a></p>
    </div>
    <div id="DummyFilterItem" class="FilterItem">
        <div class="Filter">
            <span class="Label"></span><strong>:</strong>&nbsp;<span class="Text"></span>
            <input type="hidden" class="Parameter"/>
            <input type="hidden" class="Value" />
        </div>
        <div class="Remove"><img class="RemoveFilter" src="<%=Me.ResolveClientUrl("~/Content/icons/remove.png")%>" width="14" height="14" alt="Remove filter" /></div>
    </div>
    <div id="SearchFilters"></div>
    <br clear="left"/>
    <div id="SearchGrid"></div>
</asp:Content>