﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.ChartModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%
    Dim data As List(Of AQI100DayStationHistory) = CType(Model.Data, List(Of AQI100DayStationHistory))
    chPie.Titles("ChartTitle").Text = String.Format("AQI 100 day History for Station {0}", data.First.Station)
    Model.FormatChart(chPie)
    chPie.DataSource = data
    chPie.DataBind()

%>
<asp:Chart ID="chPie" runat="server" Width="500px" >
    <Legends>
        <asp:Legend Alignment="Center" Name="Legend1">
        </asp:Legend>
    </Legends>
    <Titles>
        <asp:Title Name="ChartTitle">
        </asp:Title>
    </Titles>
    <series>
        <asp:Series ChartType="Pie" Legend="Legend1" Name="Series1" 
            XValueMember="Status" YValueMembers="StatusCount" LabelToolTip="#PERCENT" 
            XValueType="String" YValueType="Int32" 
            CustomProperties="PieLabelStyle=Disabled">
        </asp:Series>
    </series>
    <chartareas>
        <asp:ChartArea Name="ChartArea1">
            <Area3DStyle Enable3D="True" Inclination="50" />
            <InnerPlotPosition Height="97.80219" Width="97.80219" X="1" Y="1" />
        </asp:ChartArea>
    </chartareas>
</asp:Chart>
