﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.ChartModel)" %>
<% 
    Model.FormatChart(chArea)
    chArea.DataSource = Model.Data
    chArea.DataBind()
%>
<asp:Chart ID="chArea" runat="server" Height="450px" Width="700px">
    <Titles>
        <asp:Title Name="Title1" Text="Historical Oil Sands Mine Percentage of Land Reclaimed">
        </asp:Title>
    </Titles>
    <Series>
        <asp:Series Name="Series1" ChartType="Area" XValueMember="ReportYear" 
            YValueMembers="PercentReclaimed">
        </asp:Series>
    </Series>
    <ChartAreas>
        <asp:ChartArea Name="ChartArea1">
            <AxisY Title="Percent Reclaimed">
                <MajorGrid Interval="5" />
                <LabelStyle Interval="5" />
            </AxisY>
            <AxisX IsLabelAutoFit="False" IsMarginVisible="False" Title="Year">
                <MajorGrid Enabled="False" />
                <MajorTickMark Interval="1" />
                <LabelStyle Angle="-45" Interval="1" />
            </AxisX>
        </asp:ChartArea>
    </ChartAreas>
</asp:Chart>
