﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.ChartModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>

<%
    Dim data As StationWaterQuality = CType(Model.Data, StationWaterQuality)
    chLine.Titles("MainTitle").Text = data.StationName
    chLine.Titles("SubTitle").Text = (data.VariableName & " " & data.Unit).Trim()
    chLine.ChartAreas("MainArea").AxisY.Title = (data.VariableName & " " & data.Unit).Trim()
    chLine.DataSource = data.Values
    chLine.DataBind()
    Model.FormatChart(chLine)
%>
<asp:Chart ID="chLine" runat="server" Height="450px" Width="700px">
    <Titles>
        <asp:Title Name="MainTitle">
        </asp:Title>
        <asp:Title Name="SubTitle">
        </asp:Title>
    </Titles>
    <Series>
        <asp:Series ChartType="Line" MarkerSize="8" MarkerStyle="Triangle" 
            Name="Series1" XValueMember="SampleDate" YValueMembers="Value">
        </asp:Series>
    </Series>
    <ChartAreas>
        <asp:ChartArea Name="MainArea">
            <AxisY>
                <MinorGrid Enabled="True" />
            </AxisY>
            <AxisX Title="Sample Date">
            </AxisX>
        </asp:ChartArea>
    </ChartAreas>
</asp:Chart>
