﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.ViewModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>
<%
    Dim data As ExceedancesPollutantsStationsFilter = CType(Model.Data, ExceedancesPollutantsStationsFilter)
 %>
<form>
    Stations:
    <div class="MultiSelect" width="280px;">
        <% For Each sItem In data.Stations%>
        <input name="StationID" type="checkbox" value="<%=sItem.Id %>" <%=IIf(data.SelectedStations.Contains(sItem.Id), "checked=""checked""", "")%>/>&nbsp;<%=sItem.Name%><br />
        <% Next%>
    </div>
    Pollutant:
    <div class="MultiSelect" width="280px;">
        <% For Each pItem In data.Pollutants%>
        <input name="PollutantID" type="checkbox" value="<%=pItem.Key %>"  <%=IIf(data.SelectedPollutants.Contains(pItem.Key), "checked=""checked""", "")%>/>&nbsp;<%=pItem.Value%><br />
        <% Next%>
    </div>
    Collection Period:
    <div class="MultiSelect" width="280px;">
        <% For Each pItem In data.CollectionPeriods%>
        <input name="PeriodID" type="checkbox" value="<%=pItem.Id %>"  <%=IIf(data.SelectedPeriods.Contains(pItem.Id), "checked=""checked""", "")%>/>&nbsp;<%=pItem.Name %><br />
        <% Next%>
    </div>
    <table>
        <tr>
            <td>
                From: <input id="StartDate" type="text" name="StartDate" width="150px;" /><br />
                To: <input id="EndDate" type="text" name="EndDate" width="150px;"/>
            </td>
            <td><input type="button" value="Run" onclick="ShowGridView();" /></td>
        </tr>    
    </table>    
</form>
<script type="text/javascript">
    $("#StartDate").datepicker({
        defaultDate: -180
    });
    $("#EndDate").datepicker({
        defaultDate: 0
    });
</script>