﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.LandReclamation" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<%
    Dim records As List(Of HistoricalReclamationSummary) = CType(Model.Data, List(Of HistoricalReclamationSummary))
    records = records.OrderBy(Function(r) r.ProjectName).ToList()
    Dim pageSize As Integer = 20
    Dim pagerModel As New PagerModel(Model.Page, records.Count, pageSize)
    records = records.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">        
        <th rowspan="2">Year</th>
        <th>Disturbed</th>
        <th>Reclaimed</th>
        <th>Certified</th>
        <th>Active</th>
        <th rowspan="2">Percent Reclaimed</th>
    </tr>
     <tr class="Header">
        <th colspan="4">(Hectares)</th>      
    </tr>
    <%For Each item In records.GroupBy(Function(r) r.ProjectKey).ToList()%>
        <tr class="Group">
            <td colspan="6" style="font-weight: bold;text-align: center"><%=item.First.ProjectName%></td>
        </tr>
        <%  For Each dataItem As HistoricalReclamationSummary In item.ToList()%>
            <tr <%=iif(alt,"class=""Alternate""","") %>>
                <td><%=dataItem.ReportYear.ToString()%> </td>
                <td><% If dataItem.Disturbed.HasValue Then%><%=dataItem.Disturbed.Value.ToString("N1")%><%End If%></td>
                <td><% If dataItem.Reclaimed.HasValue Then%><%=dataItem.Reclaimed.Value.ToString("N1")%><%End If%></td>
                <td><% If dataItem.Certified.HasValue Then%><%=dataItem.Certified.Value.ToString("N1")%><%End If%></td>
                <td><% If dataItem.Disturbed.HasValue And dataItem.Reclaimed.HasValue Then%><%=Decimal.Subtract(dataItem.Disturbed, dataItem.Reclaimed).ToString("N1")%><%End If%></td>
                <td><%  If dataItem.Disturbed.HasValue AndAlso dataItem.Disturbed > 0 Then%><%=Decimal.Divide(dataItem.Reclaimed, dataItem.Disturbed).ToString("P1")%><%End If%></td>
            </tr>       
        <%  
            alt = Not alt
        Next
        %>       
    <%Next %>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>