﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.GHGEmissions" %>
<%  
    Dim data As EmissionsBySector = CType(Model.Data, EmissionsBySector)
    Dim alt As Boolean = False
    Dim total As Decimal = data.SectorValues.Select(Function(sv) sv.Emissions).Sum()
%>
<p class="GridTitle">Canadian Greenhouse Gas Emissions (<%=data.Year.ToString()%>)</p>
<%  Html.RenderPartial("Grids/Start")%>
<table cellspacing="1" width="425">
    <tr class="Header">        
        <th>Sector</th>
        <th>Emissions (<%=data.Unit%>)</th>
        <th>Percent of Total</th>
    </tr>
    <%  For Each dataItem In data.SectorValues%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=dataItem.Sector%></td>
        <td style="text-align: center"><%=dataItem.Emissions.ToString("N2")%></td>
        <td style="text-align: center"><%=((dataItem.Emissions / total) * 100).ToString("N0")%></td>
    </tr>       
<%  
    alt = Not alt
Next%>
</table>
<%  Html.RenderPartial("Grids/End")%>
<p style="width: 425px;"><strong>Source:</strong> <%=data.Source%></p>