﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>

<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>

<% 
    Dim data As GHGEmissionHistorySummary = CType(Model.Data, GHGEmissionHistorySummary)
    Dim records As List(Of GHGEmissionHistory) = data.YearlyValues
    Dim pageSize As Integer = 15
    Dim pagerModel As New PagerModel(Model.Page, records.Count, pageSize)
    records = records.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>

<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">
        <th>Project</th>        
        <th>Year</th>
        <th>GHG from Electricity <br />(Tonnes CO2e)</th>
        <th>GHG from Production<br />(Tonnes CO2e)</th>
        <th>GHG Total<br />(Tonnes CO2e)</th>
        <th>Source</th>
    </tr>
<%  For Each dataItem As GHGEmissionHistory In records%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=data.ProjectName%></td>
        <td><%=dataItem.Year%></td>
        <td style="text-align: center"><% If dataItem.SGERElectricity.HasValue Then%><%=dataItem.SGERElectricity.Value.ToString("N0")%><%End If%></td>
        <td style="text-align: center"><% If dataItem.SGERProduction.HasValue Then%><%=dataItem.SGERProduction.Value.ToString("N0")%><%End If%></td>
        <td style="text-align: center"><% If dataItem.SGERTotal.HasValue Then%><%=dataItem.SGERTotal.Value.ToString("N0")%>
                <%Else %><%=dataItem.SGRRTotal.Value.ToString("N0")%><%End If%></td>
        <td style="text-align: center"><%If dataItem.SGERTotal.HasValue Then %>SGER<%Else %>SGRR<%End If%></td>
    </tr>       
<%  
    alt = Not alt
Next
%>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>