﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<%
    Dim data As OperatorWaterUseHistory = CType(Model.Data, OperatorWaterUseHistory)
    Dim records As List(Of OperatorWaterUse) = data.WaterUseHistory
    Dim pageSize As Integer = 15
    Dim pagerModel As New PagerModel(Model.Page, records.Count, pageSize)
    records = records.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">        
        <th>Operator</th>
        <th>Year</th>
        <th>Fresh Water Use <br />(m<sup>3</sup>)</th>
        <th>Brackish Water Use <br />(m<sup>3</sup>)</th>
    </tr>
<%  For Each dataItem As OperatorWaterUse In records%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=dataItem.Operator%></td>
        <td><%=dataItem.Year.ToString%></td>
        <td><%If dataItem.FreshWaterUse.HasValue Then %><%=dataItem.FreshWaterUse.Value.ToString("N0")%><%End If%></td>
        <td><%If dataItem.BrackishWaterUse.HasValue Then %><%=dataItem.BrackishWaterUse.Value.ToString("N0")%><%End If%></td>
    </tr>
<%  
    alt = Not alt
Next
%>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>