﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<%
    Dim data As PollutantTrend = CType(Model.Data, PollutantTrend)
    Dim records As List(Of AQPollutantMeasurement) = data.Measurements
    Dim pageSize As Integer = 20
    Dim pagerModel As New PagerModel(Model.Page, records.Count, pageSize)
    records = records.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">
        <th>Station</th>        
        <th>Parameter</th>
        <th>Reading Date Time</th>
        <th>Value</th>
    </tr>
    <%For Each item In records.GroupBy(Function(r) r.CollectionType).ToList()%>
        <tr class="Group">
            <td colspan="3" style="font-weight: bold;text-align: center">Parameters: <%=item.Key%></td>
        </tr>
        <%  For Each dataItem As AQPollutantMeasurement In item.ToList()%>
            <tr <%=iif(alt,"class=""Alternate""","") %>>
                <td><%=dataItem.Station%></td>
                <td><%=dataItem.ParameterWithUnit%></td>
                <td><%=dataItem.ReadingDateTime.ToString("g") %></td>
                <td><%=dataItem.Value%></td>
            </tr>       
        <%  
            alt = Not alt
        Next
        %>
    <%Next %>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>