﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>

<% 
    Dim data As List(Of ProjectWaterLicenseLink) = CType(Model.Data, List(Of ProjectWaterLicenseLink))
    Dim records = data.GroupBy(Function(d) d.ProjectKey).ToList()
    Dim pageSize As Integer = 12
    Dim pagerModel As New PagerModel(Model.Page, records.Count, pageSize)
    records = records.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">        
        <th>Project</th>
        <th>Operator</th>
        <th>Includes</th>
        <th>Status</th>
        <th>Industry Type</th>
        <th>Water Act License Numbers <br />
            <span class="Small">Click on the number to view the related documents</span>
        </th>
    </tr>
<%  For Each dataItem In records%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=dataItem.First.ProjectName%></td>
        <td><%=dataItem.First.Operator%></td>
        <td><%=dataItem.First.Includes%></td>        
        <td><%=dataItem.First.Status%></td>
        <td><%=dataItem.First.IndustryType%></td>
        <td align="center">
        <%For Each license In dataItem.ToList%>
                <a href="<%=license.Link %>" target="_blank"><%=license.LicenseNumber%></a><br />
        <%Next %>
        </td>
    </tr>       
<%  
    alt = Not alt
Next
%>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>