﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>
<% 
    Dim data As List(Of YearlyWaterAllocationAndUse) = CType(Model.Data, List(Of YearlyWaterAllocationAndUse))
    Dim pageSize As Integer = 15
    Dim pagerModel As New PagerModel(Model.Page, data.Count, pageSize)
    data = data.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header">
        <th>Operator</th>
        <th>Project</th>
        <th>Year</th>
        <th>Allocated Water (m<sup>3</sup>)</th>
        <th>Water Used (m<sup>3</sup>)</th>
    </tr>
<%  For Each dataItem As YearlyWaterAllocationAndUse In data.OrderByDescending(Function(a) a.Project)%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=dataItem.Operator%></td>
        <td><%=dataItem.Project%></td>
        <td><%=dataItem.Year%></td>
        <td><%=dataItem.AllocatedValue.ToString("N")%></td>
        <td><%=dataItem.UseValue.ToString("N")%></td>
    </tr>       
<%  
    alt = Not alt
Next
%>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>