﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.GridModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Data.Objects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models" %>

<% 
    Dim data As StationWaterQuality = CType(Model.Data, StationWaterQuality)
    Dim records As List(Of WaterQualityValue) = data.Values
    Dim pageSize As Integer = 15
    Dim pagerModel As New PagerModel(Model.Page, records.Count, pageSize)
    records = records.Skip(pageSize * (Model.Page - 1)).Take(pageSize).ToList()
    Dim alt As Boolean = False
%>
<%  Html.RenderPartial("Grids/PagerStart", pagerModel)%>
<table cellspacing="1">
    <tr class="Header"> 
        <th>Station</th>       
        <th>Sample Date</th>        
        <th><%=data.VariableName%><br /><%=data.Unit%></th>
    </tr>
<%  For Each dataItem As WaterQualityValue In records%>
    <tr <%=iif(alt,"class=""Alternate""","") %>>
        <td><%=data.StationName%></td>
        <td><%=dataItem.SampleDate.ToString("MMMM d, yyyy")%> </td>
        <td style="text-align: right"><% If dataItem.Value.HasValue Then%><%=dataItem.Value.Value.ToString()%><%End If%></td>      
    </tr>       
<%  
    alt = Not alt
Next
%>
</table>
<%  Html.RenderPartial("Grids/PagerEnd", pagerModel)%>
