﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl(Of GoA.Environment.OSIP.DataLibrary.Models.ViewModel)" %>
<%@ Import Namespace="GoA.Environment.OSIP.DataLibrary.Models.ProviderObjects" %>
<%
    Dim dataObjects As New ODataLinks
    dataObjects = CType(Model.ODataURL, ODataLinks)
    
    Dim recordsFound As Boolean = False
    
    If Not dataObjects Is Nothing Then
        recordsFound = True
    End If
    
 %>

   <% If recordsFound = True Then%>

        <h2>Open Data Query</h2>

        This data set is provided using the <a  href='http://www.odata.org/' target="_blank">Open Data Protocol (OData)</a>. OData web services can be queried following the <a  href='http://www.odata.org/documentation/uri-conventions' target="_blank">OData URI Conventions</a> . 

        <br />

        <p>The service root URI for this data set is</p>
        <table cellspacing="1">

         <%  For Each dataItem As String In dataObjects.ODataLink%>
          <tr>
                <td><a  href='<%=dataItem%>' target="_blank"><%=dataItem%></a> </td>
          </tr>
         <%  
         Next
         %>
         </table>


         <p>To learn more about OData please visit <a  href='http://www.odata.org/' target="_blank">http://www.odata.org/</a>.</p>
         

          

    <%End If%>
  