define([
    "app/config/SiteLinks",
    "app/config/MapControls",
    "app/config/ContentGroups"
],
function (
    SiteLinksConfig, MapControlsConfig, ContentGroupsConfig) {
    'use strict';
    return {
        portalUrl: 'http://www.arcgis.com',
        oilSandsApiUrl: siteConfig.oilSandsApiUrl,
        siteLinks: SiteLinksConfig,
        mapControls: MapControlsConfig,
        contentGroups: ContentGroupsConfig
    }; 
});
