﻿/*property
    _setIFrameSrcAttr, _setTitleAttr, attribute, iframeId, iframeSrc, node,
    postCreate, set, templateString, type
*/
define([
  'dojo/_base/declare',
  'dijit/_WidgetBase',
  'dijit/_TemplatedMixin',
  'dojo/text!./templates/IFrameModal.html',
  'dojo-bootstrap/Modal'
], function (declare,_WidgetBase, _TemplatedMixin, template) {
    //'use strict'; //can't use strict here as this.iframId in _setIFrameSrcAttr doesn't work
    return declare([_WidgetBase, _TemplatedMixin], {
        templateString: template,
        iframeSrc: "",
        iframeId: "",
        _setIFrameSrcAttr: {
            node: this.iframeId,
            type: 'attribute',
            attribute: 'src'
        },

        _setTitleAttr: {
            node: 'titleNode',
            type: 'innerHTML'
        },

        postCreate: function () {
            this.set('iframesrc', this.iframeSrc);
        }

    });
});