﻿define([
  'app/config'
], function (config) {
    'use strict';
    return function() {
        if (!this.searchableConfig) {
            this.searchableConfig = JSON.parse(JSON.stringify(config, function(key, value) {
                //filtering out customModule properties as they contain circular references that send defiant.js for a loop (pun intended)
                if (key === "customModule") {
                    return null;
                }
                if (key === "infoWindow") {
                    return null;
                }
                return value;
            }));
        }

        return this.searchableConfig;
    };
});