﻿define([
    'intern!object',
    'intern/chai!assert',
    'app/search/SearchableConfig'
], function (registerSuite, assert, SearchableConfig) {
    'use strict';
    registerSuite({
        name: 'Searchable Config tests',
        setup: function () {

        },
        //beforeEach: function () {},
        afterEach: function () {

        },
        teardown: function () {

        },

        'Test that searchable config object is not null': function () {
            // The searchable config serializes the config with a filter method that 
            // removes properties that reference the config or a descendant, causing a recursion issue in Defiant.js
            // The same issues are encountered when serializing - if you don't remove the properties that reference back, an exception is thrown.
            // This test simply needs to test that the object returned is not null - the fact that it can get there means the config was able to go through serialization.

            assert.isNotNull(new SearchableConfig(), "SearchableConfig should not be null");
        }

    });
});