﻿define([
    'intern!object',
    'intern/chai!assert',
    './_SearchTestFunctions',
    'app/search/modules/MapControlsOperationalLayerTitle'
], function (registerSuite, assert, searchTestFunctions, SearchModule) {
    'use strict';
    registerSuite({
        name: 'Search Module: MapControlsOperationalLayerTitle',

        //setup: function () {
        //},
        //beforeEach: function () {
        //},
        //afterEach: function () {
        //},
        //teardown: function () {
        //},

        'Search: \'land use\' returns "Land Use Framework Regions"': function () {

            this.timeout = 100;

            return searchTestFunctions.validateExpectedResults({
                assert: assert,
                searchModule: new SearchModule(),
                searchText: 'land use',
                expectedResultMatchedValues: ["Land Use Framework Regions"]
            });
        },

        'Search: \'reserves\' returns "First Nation Reserves"': function () {

            this.timeout = 100;

            return searchTestFunctions.validateExpectedResults({
                assert: assert,
                searchModule: new SearchModule(),
                searchText: 'reserves',
                expectedResultMatchedValues: ["First Nation Reserves"]
            });
        }

    });
});