﻿define([
    'intern!object',
    'intern/chai!assert',
    'sample/sample'
], function (registerSuite, assert, hello) {
    'use strict';
    registerSuite({
        name: 'Sample module test',
        'Test greet function': function () {
            assert.strictEqual(hello.greet('Murray'), 'Hello, Murray!', 'hello.greet should return a greeting for the person named in the first argument');
            assert.strictEqual(hello.greet(), 'Hello, world!', 'hello.greet with no arguments should return a greeting to "world"');
        }
    });
});